#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    long long n, m;
    cin >> n >> m;

    long long a[n];
    long long rez = 0;

    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    for (int i = 0; i < m; i++)
    {
        int x, y;
        cin >> x >> y;
        x--;
        y--;
        long long rez1 = a[x]+a[y];
        long long rez2 = ((-1)*a[x])+((-1)*a[y]);
        rez += max(rez1, rez2);
    }

    cout << rez << endl;

    return 0;
}